TeleTrusTObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.teletrust

## Interface TeleTrusTObjectIdentifiers

-     public interface TeleTrusTObjectIdentifiers

  Object identifiers based on the TeleTrust branch.

       TeleTrusT:
         { iso(1) identifier-organization(3) teleTrust(36) algorithm(3)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `brainpoolP160r1` 1.3.36.3.3.2.8.1.1.1
    `static ASN1ObjectIdentifier` | `brainpoolP160t1` 1.3.36.3.3.2.8.1.1.2
    `static ASN1ObjectIdentifier` | `brainpoolP192r1` 1.3.36.3.3.2.8.1.1.3
    `static ASN1ObjectIdentifier` | `brainpoolP192t1` 1.3.36.3.3.2.8.1.1.4
    `static ASN1ObjectIdentifier` | `brainpoolP224r1` 1.3.36.3.3.2.8.1.1.5
    `static ASN1ObjectIdentifier` | `brainpoolP224t1` 1.3.36.3.3.2.8.1.1.6
    `static ASN1ObjectIdentifier` | `brainpoolP256r1` 1.3.36.3.3.2.8.1.1.7
    `static ASN1ObjectIdentifier` | `brainpoolP256t1` 1.3.36.3.3.2.8.1.1.8
    `static ASN1ObjectIdentifier` | `brainpoolP320r1` 1.3.36.3.3.2.8.1.1.9
    `static ASN1ObjectIdentifier` | `brainpoolP320t1` 1.3.36.3.3.2.8.1.1.10
    `static ASN1ObjectIdentifier` | `brainpoolP384r1` 1.3.36.3.3.2.8.1.1.11
    `static ASN1ObjectIdentifier` | `brainpoolP384t1` 1.3.36.3.3.2.8.1.1.12
    `static ASN1ObjectIdentifier` | `brainpoolP512r1` 1.3.36.3.3.2.8.1.1.13
    `static ASN1ObjectIdentifier` | `brainpoolP512t1` 1.3.36.3.3.2.8.1.1.14
    `static ASN1ObjectIdentifier` | `ecc_brainpool` 1.3.36.3.3.2.8
    `static ASN1ObjectIdentifier` | `ecSign` 1.3.36.3.3.2
    `static ASN1ObjectIdentifier` | `ecSignWithRipemd160` 1.3.36.3.3.2.2
    `static ASN1ObjectIdentifier` | `ecSignWithSha1` 1.3.36.3.3.2,1
    `static ASN1ObjectIdentifier` | `ellipticCurve` 1.3.36.3.3.2.8.1
    `static ASN1ObjectIdentifier` | `ripemd128` 1.3.36.3.2.2
    `static ASN1ObjectIdentifier` | `ripemd160` 1.3.36.3.2.1
    `static ASN1ObjectIdentifier` | `ripemd256` 1.3.36.3.2.3
    `static ASN1ObjectIdentifier` | `rsaSignatureWithripemd128` 1.3.36.3.3.1.3
    `static ASN1ObjectIdentifier` | `rsaSignatureWithripemd160` 1.3.36.3.3.1.2
    `static ASN1ObjectIdentifier` | `rsaSignatureWithripemd256` 1.3.36.3.3.1.4
    `static ASN1ObjectIdentifier` | `teleTrusTAlgorithm` 1.3.36.3
    `static ASN1ObjectIdentifier` | `teleTrusTRSAsignatureAlgorithm` 1.3.36.3.3.1
    `static ASN1ObjectIdentifier` | `versionOne` 1.3.36.3.3.2.8.1.1

- - ### Field Detail

    - #### teleTrusTAlgorithm

          static final ASN1ObjectIdentifier teleTrusTAlgorithm

      1.3.36.3

    - #### ripemd160

          static final ASN1ObjectIdentifier ripemd160

      1.3.36.3.2.1

    - #### ripemd128

          static final ASN1ObjectIdentifier ripemd128

      1.3.36.3.2.2

    - #### ripemd256

          static final ASN1ObjectIdentifier ripemd256

      1.3.36.3.2.3

    - #### teleTrusTRSAsignatureAlgorithm

          static final ASN1ObjectIdentifier teleTrusTRSAsignatureAlgorithm

      1.3.36.3.3.1

    - #### rsaSignatureWithripemd160

          static final ASN1ObjectIdentifier rsaSignatureWithripemd160

      1.3.36.3.3.1.2

    - #### rsaSignatureWithripemd128

          static final ASN1ObjectIdentifier rsaSignatureWithripemd128

      1.3.36.3.3.1.3

    - #### rsaSignatureWithripemd256

          static final ASN1ObjectIdentifier rsaSignatureWithripemd256

      1.3.36.3.3.1.4

    - #### ecSign

          static final ASN1ObjectIdentifier ecSign

      1.3.36.3.3.2

    - #### ecSignWithSha1

          static final ASN1ObjectIdentifier ecSignWithSha1

      1.3.36.3.3.2,1

    - #### ecSignWithRipemd160

          static final ASN1ObjectIdentifier ecSignWithRipemd160

      1.3.36.3.3.2.2

    - #### ecc_brainpool

          static final ASN1ObjectIdentifier ecc_brainpool

      1.3.36.3.3.2.8

    - #### ellipticCurve

          static final ASN1ObjectIdentifier ellipticCurve

      1.3.36.3.3.2.8.1

    - #### versionOne

          static final ASN1ObjectIdentifier versionOne

      1.3.36.3.3.2.8.1.1

    - #### brainpoolP160r1

          static final ASN1ObjectIdentifier brainpoolP160r1

      1.3.36.3.3.2.8.1.1.1

    - #### brainpoolP160t1

          static final ASN1ObjectIdentifier brainpoolP160t1

      1.3.36.3.3.2.8.1.1.2

    - #### brainpoolP192r1

          static final ASN1ObjectIdentifier brainpoolP192r1

      1.3.36.3.3.2.8.1.1.3

    - #### brainpoolP192t1

          static final ASN1ObjectIdentifier brainpoolP192t1

      1.3.36.3.3.2.8.1.1.4

    - #### brainpoolP224r1

          static final ASN1ObjectIdentifier brainpoolP224r1

      1.3.36.3.3.2.8.1.1.5

    - #### brainpoolP224t1

          static final ASN1ObjectIdentifier brainpoolP224t1

      1.3.36.3.3.2.8.1.1.6

    - #### brainpoolP256r1

          static final ASN1ObjectIdentifier brainpoolP256r1

      1.3.36.3.3.2.8.1.1.7

    - #### brainpoolP256t1

          static final ASN1ObjectIdentifier brainpoolP256t1

      1.3.36.3.3.2.8.1.1.8

    - #### brainpoolP320r1

          static final ASN1ObjectIdentifier brainpoolP320r1

      1.3.36.3.3.2.8.1.1.9

    - #### brainpoolP320t1

          static final ASN1ObjectIdentifier brainpoolP320t1

      1.3.36.3.3.2.8.1.1.10

    - #### brainpoolP384r1

          static final ASN1ObjectIdentifier brainpoolP384r1

      1.3.36.3.3.2.8.1.1.11

    - #### brainpoolP384t1

          static final ASN1ObjectIdentifier brainpoolP384t1

      1.3.36.3.3.2.8.1.1.12

    - #### brainpoolP512r1

          static final ASN1ObjectIdentifier brainpoolP512r1

      1.3.36.3.3.2.8.1.1.13

    - #### brainpoolP512t1

          static final ASN1ObjectIdentifier brainpoolP512t1

      1.3.36.3.3.2.8.1.1.14